Bug 1546997 - [fix available][ALL_LANG except zh,ko] Text overlap observed in libreoffice applications on search bar
Summary: [fix available][ALL_LANG except zh,ko] Text overlap observed in libreoffice a...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-20 10:14 UTC by Bhushan Barve
Modified: 2018-10-30 07:57 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-30 07:57:26 UTC


Attachments (Terms of Use)
de_DE_overlap (102.01 KB, image/png)
2018-02-20 10:14 UTC, Bhushan Barve
no flags Details
ja_JP_overlap (257.65 KB, image/png)
2018-02-20 10:15 UTC, Bhushan Barve
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3054 None None None 2018-10-30 07:57 UTC

Description Bhushan Barve 2018-02-20 10:14:32 UTC
Created attachment 1398166 [details]
de_DE_overlap

Description of problem: For all locales except zh and ko, there's text overlap observed in libreoffice applications. When user tries to search for something and hits 'Find All' when the matching text is not found, the message 'Search key not found' overlaps the text field. Similar is the case with 'Reached at the end of document' and ' Reached the beginning of the document' messages when 'Find Next' and 'Find Previous' options are used. Please refer attached screenshots. 

This issue is not observed with zh_CN and ko_KR locales. Observed with these 2 locales that, the concerned overlapping text appears to the right of the panel at the bottom.


Version-Release number of selected component (if applicable):
RHEL 7.5 snapshot 3.1
libreoffice-core-5.3.6.1-8.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. Login with any of the mentioned locales
2. Launch libreoffice writer or calc application.
3. Launch search bar
4. search for 'test' without writing any text in the document.
5. Click on 'Find All'

Actual results:
The string 'search key not found' in respective locales is overlapping with the text field for search.

Expected results:
The text overlap should not occur. 

Additional info:
The same phenomenon is not observed with Libreoffice impress application.

Comment 2 Bhushan Barve 2018-02-20 10:15 UTC
Created attachment 1398167 [details]
ja_JP_overlap

Comment 3 Caolan McNamara 2018-02-20 12:06:40 UTC
A wider libreoffice window makes it fit on the right. Maybe initial placement of the label is incorrect if there's not enough space.

Comment 4 Caolan McNamara 2018-02-20 14:20:01 UTC
https://gerrit.libreoffice.org/#/c/50041/1 is my upstream fix for this.

I think this is a minor glitch, won't be noticeable if the window is wider.

Comment 6 Martin Krajnak 2018-07-12 15:10:31 UTC
No overlap in libreoffice-calc-5.3.6.1-16

Comment 8 errata-xmlrpc 2018-10-30 07:57:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3054


Note You need to log in before you can comment on or make changes to this bug.